
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Servlet3.0学习总结——基于Servlet3.0的文件上传 / 憋错料</title>

    <meta name="description" content="Servlet3.0学习总结——基于Servlet3.0的文件上传 Servlet3.0学习总结(三)——基于Servlet3.0的文件上传 在Servlet2.5中,我们要实现文件上传功能时,一般都需要借助第三方开源组件,例如Apache的commons-fileupload组件,在Servlet3.0中提供了对文件上传的原生支持,我们不需要借助任何第三方上传组件,直接使用Servlet3.0提供的API就能够实现文件上传功能了. 一.使用Servlet3.0提供的API实现文件上传 1.1.编写上传页面 &lt;%@ page language=&quot; ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Servlet3.0学习总结——基于Servlet3.0的文件上传</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h2><a href="http://www.cnblogs.com/xdp-gacl/p/4224960.html" rel="external nofollow noreferrer">Servlet3.0学习总结(三)&mdash;&mdash;基于Servlet3.0的文件上传</a></h2>
<p>　　在Servlet2.5中，我们要实现文件上传功能时，一般都需要借助第三方开源组件，例如Apache的commons-fileupload组件，在Servlet3.0中提供了对文件上传的原生支持，我们不需要借助任何第三方上传组件，直接使用Servlet3.0提供的API就能够实现文件上传功能了。</p>
<h2>一、使用Servlet3.0提供的API实现文件上传</h2>
<h3>1.1、编写上传页面</h3>
<pre>&lt;%@ page language="java" pageEncoding="UTF-8"%&gt;
&lt;!DOCTYPE HTML&gt;
&lt;html&gt;
  &lt;head&gt;
    &lt;title&gt;Servlet3.0实现文件上传&lt;/title&gt;
  &lt;/head&gt;

  &lt;body&gt;
        &lt;fieldset&gt;
            &lt;legend&gt;
                上传单个文件
            &lt;/legend&gt;
            &lt;!-- 文件上传时必须要设置表单的enctype="multipart/form-data"--&gt;
            &lt;form action="${pageContext.request.contextPath}/UploadServlet"
                method="post" enctype="multipart/form-data"&gt;
                上传文件：
                &lt;input type="file" name="file"&gt;
                &lt;br&gt;
                &lt;input type="submit" value="上传"&gt;
            &lt;/form&gt;
        &lt;/fieldset&gt;
        &lt;hr /&gt;
        &lt;fieldset&gt;
            &lt;legend&gt;
                上传多个文件
            &lt;/legend&gt;
            &lt;!-- 文件上传时必须要设置表单的enctype="multipart/form-data"--&gt;
            &lt;form action="${pageContext.request.contextPath}/UploadServlet"
                method="post" enctype="multipart/form-data"&gt;
                上传文件：
                &lt;input type="file" name="file1"&gt;
                &lt;br&gt;
                上传文件：
                &lt;input type="file" name="file2"&gt;
                &lt;br&gt;
                &lt;input type="submit" value="上传"&gt;
            &lt;/form&gt;
        &lt;/fieldset&gt;
    &lt;/body&gt;
&lt;/html&gt;</pre>
<h3>1.2、开发处理文件上传的Servlet</h3>
<p>　　<strong>1、使用注解@MultipartConfig将一个Servlet标识为支持文件上传。</strong></p>
<p><strong>　　2、Servlet3.0将multipart/form-data的POST请求封装成Part，通过Part对上传的文件进行操作</strong>。</p>
<p>　　UploadServlet 代码如下：</p>
<pre>package com.qixin.servlet;

import java.io.File;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.Collection;

import javax.servlet.ServletException;
import javax.servlet.annotation.MultipartConfig;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.Part;

//使用@WebServlet配置UploadServlet的访问路径
@WebServlet(name="UploadServlet",urlPatterns="/UploadServlet")
//使用注解@MultipartConfig将一个Servlet标识为支持文件上传
@MultipartConfig//标识Servlet支持文件上传
public class UploadServlet extends HttpServlet {

    @Override
    public void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
            request.setCharacterEncoding("utf-8");
            response.setCharacterEncoding("utf-8");
            response.setContentType("text/html;charset=utf-8");
            //存储路径
            String savePath = request.getServletContext().getRealPath("/WEB-INF/uploadFile");
            //获取上传的文件集合
            Collection&lt;Part&gt; parts = request.getParts();
            //上传单个文件
            if (parts.size()==1) {
                 //Servlet3.0将multipart/form-data的POST请求封装成Part，通过Part对上传的文件进行操作。
                //Part part = parts[0];//从上传的文件集合中获取Part对象
                Part part = request.getPart("file");//通过表单file控件(&lt;input type="file" name="file"&gt;)的名字直接获取Part对象
                //Servlet3没有提供直接获取文件名的方法,需要从请求头中解析出来
                //获取请求头，请求头的格式：form-data; name="file"; filename="snmp4j--api.zip"
                String header = part.getHeader("content-disposition");
                //获取文件名
                String fileName = getFileName(header);
                //把文件写到指定路径
                part.write(savePath+File.separator+fileName);
            }else {
                //一次性上传多个文件
                for (Part part : parts) {//循环处理上传的文件
                    //获取请求头，请求头的格式：form-data; name="file"; filename="snmp4j--api.zip"
                    String header = part.getHeader("content-disposition");
                    //获取文件名
                    String fileName = getFileName(header);
                    //把文件写到指定路径
                    part.write(savePath+File.separator+fileName);
                }
            }
            PrintWriter out = response.getWriter();
            out.println("上传成功");
            out.flush();
            out.close();
    }

     /**
     * 根据请求头解析出文件名
     * 请求头的格式：火狐和google浏览器下：form-data; name="file"; filename="snmp4j--api.zip"
     *                 IE浏览器下：form-data; name="file"; filename="E:\snmp4j--api.zip"
     * @param header 请求头
     * @return 文件名
     */
    public String getFileName(String header) {
        /**
         * String[] tempArr1 = header.split(";");代码执行完之后，在不同的浏览器下，tempArr1数组里面的内容稍有区别
         * 火狐或者google浏览器下：tempArr1={form-data,name="file",filename="snmp4j--api.zip"}
         * IE浏览器下：tempArr1={form-data,name="file",filename="E:\snmp4j--api.zip"}
         */
        String[] tempArr1 = header.split(";");
        /**
         *火狐或者google浏览器下：tempArr2={filename,"snmp4j--api.zip"}
         *IE浏览器下：tempArr2={filename,"E:\snmp4j--api.zip"}
         */
        String[] tempArr2 = tempArr1[2].split("=");
        //获取文件名，兼容各种浏览器的写法
        String fileName = tempArr2[1].substring(tempArr2[1].lastIndexOf("\\")+1).replaceAll("\"", "");
        return fileName;
    }

    @Override
    public void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        this.doGet(request, response);
    }
}</pre>
<p>运行结果如下：</p>
<p>　　<img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9ibG9nLzI4OTIzMy8yMDE1MDEvMTUxMDQ0MDY3MTQyNzY0LmdpZg==.jpg" /></p>
<p>　　可以看到，使用Servlet3.0提供的API实现文件上传功能是非常方便的。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 23:16:03 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Servlet3.0学习总结——基于Servlet3.0的文件上传的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4AZGrzM.html" rel="bookmark">用c&plus;&plus;开发基于tcp协议的文件上传功能</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				用c++开发基于tcp协议的文件上传功能 2005我正在一家游戏公司做程序员,当时一直在看&lt;Windows网络编程&gt; 这本书,把里面提到的每种IO模型都试了一次,强烈推荐学习网络编程的同学阅读,比 APUE 讲的更深入 这是某个银行广告项目(p2p传输视频)的一部分 IO模型采用的阻塞模式,文件一打开就直接上传 用vc 2003编译,生成win32 dll 麻雀虽小五脏俱全,CSimpleSocket,CReadStream dll 输出一虚类 extern &quot;C&quot; __d			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MzQAnO4.html" rel="bookmark">Struts2文件上传（基于表单的文件上传）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				•Commons-FileUpload组件 –Commons是Apache开放源代码组织的一个Java子项目,其中的FileUpload是用来处理HTTP文件上传的子项目 •Commons-FileUpload组件特点 –使用简单:可以方便地嵌入到JSP文件中,编写少量代码即可完成文件的上传功能 –能够全程控制上传内容 –能够对上传文件的大小.类型进行控制 •需要下载Common-FileUplaod框架地址(当然MyEclipce中Struts2支持里自带有这两个包): –http://jak			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3OdNkK4.html" rel="bookmark">基于asp&period;net 的文件上传和下载~~~转</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				基于asp.net 的文件上传和下载 摘要: 文件的上传和下载是网络中非常重要的两种应用, 本文介绍了使用asp.net 控件实现文件上传的基本方法.解决了当上传大文件时出现各种问题, 并给出了几种解决方案和技巧.另外, 下载文件用二进制读写的方式实现. 1 引言          文件的上传和下载是网络中非常重要的两种应用.其实现方法主要有FTP 方式和HTTP 方式两种, FTP( File Transfer Protocol)是指文件传输协议, 主要用来在网络上传输文件.这种方式虽说文件传			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0kXgdp3.html" rel="bookmark">ios开发网络学习十二：NSURLSession实现文件上传</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				#import &quot;ViewController.h&quot; // ----WebKitFormBoundaryvMI3CAV0sGUtL8tr #define Kboundary @&quot;----WebKitFormBoundaryjv0UfA04ED44AhWx&quot; #define KNewLine [@&quot;\r\n&quot; dataUsingEncoding:NSUTF8StringEncoding] @interface ViewController ()&l			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3wLp2l4.html" rel="bookmark">基于cxf的app文件上传接口（带回显功能）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.SaleImpl @Override public String uploadPic(final List&lt;Attachment&gt; attachments) { return this.filterException(new MethodCallBack() { @Override public String doProcessMethod() throws Exception { List&lt;FileUploadVo&gt; fileVos = transform2FileUploa			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/yMX2lz3.html" rel="bookmark">SpringMVC案例3----spring3&period;0项目拦截器、ajax、文件上传应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				依然是项目结构图和所需jar包图: watermark/2/text/aHR0cDovL2Jsb2cuY3Nkbi5uZXQvYmVuamFtaW5fd2h4/font/5a6L5L2T/fontsize/400/fill/I0JBQkFCMA==/dissolve/70/gravity/Center&quot; &gt; watermark/2/text/aHR0cDovL2Jsb2cuY3Nkbi5uZXQvYmVuamFtaW5fd2h4/font/5a6L5L2T/fontsize/400/fil			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0R86oR4.html" rel="bookmark">【SpringMVC学习08】SpringMVC中实现文件上传</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				之前有写过一篇struts2实现的文件上传,这一篇博文主要来总结下springmvc实现文件上传的步骤.首先来看一下单个文件的上传,然后再来总结下多个文件上传. 1. 环境准备 springmvc上传文件的功能需要两个jar包的支持(点我下载),如下 2. 单个文件的上传 2.1 前台页面 简单的写一下前台页面,注意一点的是form表单中别忘了写enctype=&quot;multipart/form-data&quot;属性: &lt;tr&gt; &lt;td&gt;商品图片&lt;/td&gt; &			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/38plyA3.html" rel="bookmark">基于Servlet&plus;smartUpload的文件上传</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文件上传在web应用中是非常常见的,现在我就介绍下基于servlet的文件上传,基于Struts2的文件上传可以看: 页面端代码: &lt;%@ page language=&quot;java&quot; import=&quot;java.util.*&quot; pageEncoding=&quot;GBK&quot;%&gt; &lt;!DOCTYPE HTML PUBLIC &quot;-//W3C//DTD HTML 4.01 Transitional//EN&quot;&gt; &lt;ht			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MoqJmn3.html" rel="bookmark">基于jifnal框架的文件上传一般形式（img）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				实现mvc模式基于jfinal框架 首先是上传接口: 前端代码基于bootstrap和插件ajaxfileupload.js的异步上传:test.html &lt;script src=&quot;${base}/resources/js/ajaxfileupload.js&quot; type=&quot;text/javascript&quot;&gt;&lt;/script&gt; &lt;input  type=&quot;file&quot;  id=&quot;map&quot; name=&			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47pzOyM.html" rel="bookmark" class="title">本学期最后一周总结及暑假训练计划-司雨寒</a>
					<div>
						一.总结 最近在看大白书的第五章,学了一些更高级的图论算法. 二分图的判定 求无向图的双联通分量(BCC) 以及 割顶 有向图的强连通分量(SCC) 2-SAT 最小瓶颈路,其中O(n2)计算的max ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KynwO4.html" rel="bookmark" class="title">SpringMVC中定时任务配置</a>
					<div>
						在项目中使用定时任务是常有的事,比如每天定时进行数据同步或者备份等等. 以前在从事C语言开发的时候,定时任务都是通过写个shell脚本,然后添加到linux定时任务中进行调度的. 现在使用Spring ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDdRmkM.html" rel="bookmark" class="title">HttpPost</a>
					<div>
						Create  Model LoginPageViewModel.cs using System;using System.Collections.Generic;using System.Linq; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MP8zpnM.html" rel="bookmark" class="title">gdb 调试main</a>
					<div>
						gdb 调试main带参数 gdb program start a b c//参数为a b c然后从main函数开始 r a b c//参数为a b c来运行程序					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YYJQO0.html" rel="bookmark" class="title">UESTC 电子科大专题训练 DP-F</a>
					<div>
						UESTC 1271 题意:有一个n*m的地图,每个格子有一定数量的金子,如果是负数,说明是陷阱,将会失去金子,如果金子数小于0就会死掉,你可以往四个方向走,分别是:(x+1,y),(x,y+1),( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AmXe54.html" rel="bookmark" class="title">JavaScript基础知识（变量&sol;引用&sol;转换&sol;函数）</a>
					<div>
						-------------------------------------------- 变量 全局变量:在函数体外声明,全局可以使用 局部变量:通过关键字var来声明 变量类型 1 &lt;scri ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4ARrkaM.html" rel="bookmark" class="title">RDD关键性能考量之 并行度</a>
					<div>
						&lt;Spark快速大数据分析&gt; 8.4 关键性能考量 并行度 RDD的逻辑表示其实是一个对象的集合.在物理执行期间,RDD会被分为一系列的分区, 每个分区都是整个数据的子集.当Spark调度 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgPjAp0.html" rel="bookmark" class="title">hlg1186青蛙过河【dp】</a>
					<div>
						题意:在河上有一座独木桥,一只青蛙想沿着独木桥从河的一侧跳到另一侧.在桥上有一些石子,青蛙很讨厌踩在这些石子上.由于桥的长度和青蛙一次跳过的距离都是正整数,我们可以把独木桥上青蛙可能到达的点看成数轴上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e796D4.html" rel="bookmark" class="title">Outlook中撤回已发送的邮件</a>
					<div>
						在Outlook中,如果发现已经发送的邮件有误,或者发送给了错误的收件人.可以将这封邮件撤回. 注:如果对方没有读这封邮件,就可以成功将其撤回.如果已经被对方阅读过,就无法撤回了. 详细步骤如下, 1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xvXEk4.html" rel="bookmark" class="title">谂翁浪扣僬p3327naiod4</a>
					<div>
						http://wx.233.com/share/2855604http://wx.233.com/share/2940812http://sina.lt/dAgPhttp://sina.lt/dEre ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0ko8xl0.html" rel="bookmark" class="title">C&num; 通过copydata实现进程间通信</a>
					<div>
						最近公司需要实现一个基于copydata进程间通信的功能.原来一直没有接触过Windows的进程通信,这次正好可以学习一下. 程序是基于Winform的,下面直接上代码. 公共类: public cl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Q7OoB0.html" rel="bookmark" class="title">【软件使用】GitHub使用教程for Eclipse</a>
					<div>
						http://www.cnblogs.com/yc-755909659/p/3753626.html 1.下载egit插件 打开Eclipse,git需要eclipse授权,通过网页是无法下载egit ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgE29K3.html" rel="bookmark" class="title">shell script 的追踪与 debug</a>
					<div>
						shell script 的追踪与 debug scripts 在运行之前,最怕的就是出现语法错误的问题了!那么我们如何 debug 呢?有没有办法不需要透过直接运行该 scripts 就可以来判断是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBWa5Z0.html" rel="bookmark" class="title">百度面试经历&lowbar;web前端开发</a>
					<div>
						百度面试经历_web前端开发 --2016年09月24日校招杭州站 刚面试完,担心过去就忘记掉,故回来时在地铁上用手机码下面试题目,供参考,也留作自己以后的面试参考依据.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0b5mdeM.html" rel="bookmark" class="title">expect实现远程用户交互式登录</a>
					<div>
						小毛毛初拥expect 前几天在写脚本的时候我有一个功能是想切换用户,让他自动输入密码.实现交互式的登陆.发现了expect这个工具.但是从来没有用过,所以也是出了很多问题.今天就来总结下!希望以后同 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4N11vw3.html" rel="bookmark" class="title">C&num; 之委托和事件（转载）</a>
					<div>
						概述:委托和事件在 .NET Framework 中的应用非常广泛,然而,较好地理解委托和事件对很多接触 C# 时间不长的人来说并不容易.它们就像是一道槛儿,过了这个槛的人,觉得真是太容易了,而没有过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kljXb3.html" rel="bookmark" class="title">bash的颜色规则以及配置文件</a>
					<div>
						bash的颜色显示规则: ascii编码对于颜色进行设置: \033:Ctrl键 [:控制字符和颜色代码之间的间隔字符 0m:关闭颜色属性命令: 1m:加粗显示文本字符: 4m:为文本字符加下划线标识 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bL56k4.html" rel="bookmark" class="title">一个简单的iBatis入门例子</a>
					<div>
						一个简单的iBatis入门例子,用ORACLE和Java测试 目录结构: 1.导入iBatis和oracle驱动. 2.创建类Person.java package com.ibeats;import ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vXVEaM.html" rel="bookmark" class="title">08 Java集合</a>
					<div>
						作者:thoughtInShare 出处:http://www.cnblogs.com/thoughtInShare 欢迎转载,也请保留这段声明.谢谢! 1,集合=Set+List+Map Set代表 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0l9EXW3.html" rel="bookmark" class="title">&num;遗憾&num;重重的挫败感再次袭来！！！</a>
					<div>
						每次我准备好好认认真真的做一件事的时候,终于达到了自己的要求了,结果就是达不到别人的要求,然后,重做!!! 昨晚,我把那图弄了三次,结果结果,两个都不符合要求,重做!!!重做的要求我是弄不了了,还得找 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
